import ThemeButton from "../components/ThemeButton";
import { main } from "../configure";
import { Router } from "wouter";
import SwitchRoutesGenerator from "../routes/RouteStructureGenerator";
import DebugNavigationButtonsGenerator from "../routes/DebugNavigationButtonsGenerator";

function App() {
	return (
		<Router base={main.basePath}>
			<div className="space-x-4 space-y-6">
				<div className="px-5 mt-6">
					<h1 className="text-center ">
						{main.program_name} v{main.program_version}
						<p>Base path is: {main.basePath}</p>
					</h1>
					<div>
						<ThemeButton />
					</div>
				</div>
				<hr className="my-12 h-[2px] border-t-0 bg-transparent bg-gradient-to-r from-transparent via-current to-transparent opacity-25 dark:opacity-100" />

				<div>
					<DebugNavigationButtonsGenerator />
					{/* Paths in Route should be without base path (even without '/'). If want Route for base path than pass base path */}
					<SwitchRoutesGenerator />
				</div>
			</div>
		</Router>
	);
}

export default App;
